> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add wallets to a user

> Add wallets to a user



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json post /v2/users/{userId}/wallets/add
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/wallets/add:
    post:
      tags:
        - Wallet
      summary: Add wallets to a user
      description: Add wallets to a user
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
      requestBody:
        $ref: '#/components/requestBodies/UserV2AddWalletsBody'
      responses:
        '200':
          $ref: '#/components/responses/UserV2ObjectResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
  requestBodies:
    UserV2AddWalletsBody:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UserV2AddWallets'
  responses:
    UserV2ObjectResponse:
      description: Success
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/IndividualUserV2Object'
              - $ref: '#/components/schemas/BusinessUserV2Object'
          examples:
            UserObjectIndividualExample:
              $ref: '#/components/examples/UserObjectIndividualExample'
            UserObjectBusinessExample:
              $ref: '#/components/examples/UserObjectBusinessExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    UserV2AddWallets:
      type: object
      properties:
        chains:
          type: array
          items:
            type: string
            description: The chains to create wallets for.
            enum:
              - POLYGON
              - SOLANA
              - ETHEREUM
              - BASE
              - BSC
              - FLOW_EVM
              - CANTON
              - TRON
      required:
        - chains
    IndividualUserV2Object:
      type: object
      title: User Object (Individual)
      properties:
        id:
          type: string
          format: uuid
          description: User ID
        createdAt:
          type: string
          format: date-time
          description: Data and time when the user was created
        type:
          type: string
        email:
          type: string
        name:
          type: string
        wallets:
          type: object
          properties:
            INDIVIDUAL:
              type: object
              properties:
                ETHEREUM:
                  $ref: '#/components/schemas/WalletAddressObject'
                POLYGON:
                  $ref: '#/components/schemas/WalletAddressObject'
    BusinessUserV2Object:
      type: object
      title: User Object (Business)
      properties:
        id:
          type: string
          format: uuid
          description: User ID
        createdAt:
          type: string
          format: date-time
          description: Data and time when the user was created
        type:
          type: string
        email:
          type: string
        name:
          type: string
        wallets:
          type: object
          properties:
            INDIVIDUAL:
              type: object
              properties:
                ETHEREUM:
                  $ref: '#/components/schemas/WalletAddressObject'
                POLYGON:
                  $ref: '#/components/schemas/WalletAddressObject'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    WalletAddressObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Wallet ID
        address:
          type: string
          description: Wallet address
      required:
        - address
  examples:
    UserObjectIndividualExample:
      summary: User Object (Individual)
      value:
        id: 4d93ab4f-3983-4ac0-8c97-54bbc0f287fa
        createdAt: '2025-09-24T19:12:20.541Z'
        type: individual
        email: john.doe@hifibridge.com
        name: John Doe
        wallets:
          INDIVIDUAL:
            ETHEREUM:
              id: 24b4917d-694e-4d81-ace8-9ba0261b6f4e
              address: '0x43B343Bb48E23F58406271131B71448fF95787AD'
            POLYGON:
              id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
              address: '0x43B343Bb48E23F58406271131B71448fF95787AD'
    UserObjectBusinessExample:
      summary: User Object (Business)
      value:
        id: 264484e0-979a-5fa3-9335-947f55e5999a
        createdAt: '2025-09-24T19:03:41.107Z'
        type: business
        email: admin@randombizz.com
        name: Random Bizz
        wallets:
          INDIVIDUAL:
            ETHEREUM:
              id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
              address: '0x2f78AEFA879819D7a5C9a87fE8BF5e7B961f5500'
            POLYGON:
              id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
              address: '0x2f78AEFA879819D7a5C9a87fE8BF5e7B961f5500'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````